Subject: [apps-discuss] Ben Campbell's No Objection on draft-ietf-appsawg-uri-scheme-reg-05: (with COMMENT)

From: "Ben Campbell" <[email-masked]>
Date: Mon, 06 Apr 2015 16:03:46 -0700

Ben Campbell has entered the following ballot position for
draft-ietf-appsawg-uri-scheme-reg-05: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
http://datatracker.ietf.org/doc/draft-ietf-appsawg-uri-scheme-reg/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I am curious how the expert review required in the document interacts
with bona-fide standards actions. There's already an ongoing discussion
on that, and Barry has noted it in his on comments, so I will leave this
as a comment. In particular I wonder if the "On receipt of a registration
request" section of 7.2 should be different if the request was part of an
IETF/IESG reviewed and approved action in the first place.

There are a lot of SHOULDs in this document. I wonder how an expert
reviewer is supposed to interpret deviations from SHOULD level
requirements. This is especially true in statements like "... SHOULD
include clear security considerations or explain [why not]". The expert's
life might be easier if there was some text encouraging that deviations
from SHOULDs be accompanied by an explanation.

---

From: Dave Thaler <[email-masked]>
Date: Wed, 8 Apr 2015 01:38:38 +0000

> -----Original Message-----
> From: apps-discuss [mailto:[email-masked]] On Behalf Of Ben
> Campbell
> Sent: Monday, April 6, 2015 4:04 PM
> To: The IESG
> Cc: [email-masked]; [email-masked]
> Subject: [apps-discuss] Ben Campbell's No Objection on draft-ietf-appsawg-
> uri-scheme-reg-05: (with COMMENT)
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> I am curious how the expert review required in the document interacts with
> bona-fide standards actions. There's already an ongoing discussion on that,
> and Barry has noted it in his on comments, so I will leave this as a comment.
> In particular I wonder if the "On receipt of a registration request" section of
> 7.2 should be different if the request was part of an IETF/IESG reviewed and
> approved action in the first place.

RFC 4395 made no distinction and the WG has not discussed making any
such distinction.  So unless it's a blocker (which does not seem to be the case
in your comment at least), the current answer is "no difference".
 
> reviewer is supposed to interpret deviations from SHOULD level requirements.
> This is especially true in statements like "... SHOULD include clear security
> considerations or explain [why not]". The expert's life might be easier if there
> was some text encouraging that deviations from SHOULDs be accompanied by
> an explanation.

FYI, in this particular case, the meaning isn't different from RFC 4395 which was even
less precise, so the expert in question has already been dealing with this and
anything we say won't make his life easier unless we change the actual meaning
(which is not the intent).

Dave

---

From: "Ben Campbell" <[email-masked]>
Date: Tue, 07 Apr 2015 22:22:13 -0500

On 7 Apr 2015, at 20:38, Dave Thaler wrote:

>> email
>> Please refer to 
>> http://www.ietf.org/iesg/statement/discuss-criteria.html
>> with

No, neither this or the next are blockers. (Thus the comment, not 
discuss.)

>> requirements.

---

From: Barry Leiba <[email-masked]>
Date: Wed, 8 Apr 2015 08:40:31 -0400

> in your comment at least), the current answer is "no difference".

Well, Ben's not blocking it, but my comment (in my Yes ballot) does
say that I'm not going to send the document through until the "how
does this relate to what working groups decide" issue is done being
hashed out.

The fact is that we have a very good DE now, in Graham Klyne, who
understand the relationship of his comments to working group
consensus, and handles things appropriately (and has said so).

But Graham will retire at some point, and perhaps while we're still
using URIs and minting new schemes.  Perhaps the next DE appointed
will have a different view and will hold out against working group
decisions rather more strongly.  The IESG then, in that future time of
Morlocks and Eloi, could deal with it... but it might be good to have
a paragraph of advice to the DE that says what the DE is expected to
do when reviewing requests that come from Standards Track IETF work
that has community consensus.  Basically, Graham could write those
sentences, I imagine, based on what he does now.

Barry

---

From: Graham Klyne <[email-masked]>
Date: Wed, 08 Apr 2015 15:36:41 +0100

FWIW, I did make a suggestion in a message of 02/04/2015 10:30 ...

For ease of reference, here is what I said:

[[
 From memory, the revised procedure (and maybe the current) already have it that 
a DE decision can be overruled by the IESG, who (I would judge) are ultimately 
the guardians of the IETF consensus process.  So I think the DE cannot override 
the consensus process.

But I would be happy for this to be clarified.  For example, in section 7.1 
(http://tools.ietf.org/html/draft-ietf-appsawg-uri-scheme-reg-05#section-7.1), 
maybe add something like this:

"The role of the designated expert in the procedure for permanent registrations 
described here is to ensure that normal IETF open review process has been 
properly followed, and to raise possible concerns about wider implications of 
proposals for the use and deployment of URIs.  Nothing in the procedure empowers 
the Designated Expert to override properly arrived-at IETF or working group 
consensus."
]]

#g
--

On 08/04/2015 13:40, Barry Leiba wrote:
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>

---

From: Larry Masinter <[email-masked]>
Date: Wed, 8 Apr 2015 17:51:58 +0000

>the Designated Expert to override properly arrived-at IETF or working group 

I think if the DE for a registration doesn’t agree that a document meets
the requirements for that registration, that the DE’s disagreement
SHOULD be considered  as evidence that there is not IETF consensus,
whether or not there is working group consensus, at least as serious
as IANA or SECDIR or OPS area review.

Graham’s wording focuses on the process/power aspect rather than the technical,
but I think the paragraph gives the impression that WG consensus
trumps such consideration.

If an RFC specifies a new or updated IANA registration, then that
spec should be held to meeting those requirements, even when the
working group has (chair-declared “rough”) consensus of the 
working group that they don’t need to.

---

From: Barry Leiba <[email-masked]>
Date: Wed, 8 Apr 2015 14:26:03 -0400

> I think if the DE for a registration doesn't agree that a document meets
> the requirements for that registration, that the DE's disagreement
> Graham's wording focuses on the process/power aspect rather than the technical,

Not at all.  What it means is that the individual who serves as DE
gives his input as an individual, and it's considered as part of the
consensus process.  And that's separate from his role as DE.

This is a similar situation to the ports registry and the media types
registry, except that in those cases the DE isn't even consulted for
Standards Track RFCs.  The DEs are just expected to participate as
individuals.

Barry